{: test that passing an array to a conformant array parameter
   with mismatched types causes a fatal error }

{$d+}
program e103( output );

type
   smallInt =  1..10;

var
   a : array[1..10] of integer;

procedure test(aa : array[lo..hi : smallInt] of smallInt);
var
   aa1 : array[smallInt] of integer;
   z   : smallInt;
begin
   z := lo;
   aa[z] := 3;
   aa[hi] := 3;
   writeln( 'fails: conformant array parameter error is not detected' );
end;
begin {e103}

   test(a);   { !!! array of integer does not go into array of smallInt }

end. { e103 }

